{% extends 'base.html.twig' %}

{% block body %}
<main class='main-content bgc-grey-100'>
    <div id='mainContent'>
    <h1>Studenti</h1>
    <div class="list-group">
        {% for provider in providers %}
            <a class="list-group-item" href="{{ path ('list_groups_in_provider', { 'providerId': provider.id }) }}">{{ provider.name|capitalize }}</a>
            {% if provider.sectors|length > 0 %}
                <div class="list-group">
                    {% for sector in provider.sectors %}
                        <a class="list-group-item" href="{{ path('list_groups_in_provider', {'providerId': provider.id}) }}?sectorId={{ sector.id }}">{{ sector.name }}</a>
                    {% endfor %}
                </div>
            {% endif %}
        {% endfor %}
    </div>

    <style>
        div.list-group div.list-group{margin: 0;}
        div.list-group .list-group a.list-group-item {border-top: 1px solid #ddd !important;border-bottom: 0;padding-left: 30px;}
        .list-group-item li.list-group-item {border-top: 1px solid #DDD !important;}
    </style>
    </div>
</main>
{% endblock %}
